Skip to Content

MCP Integration

Launcher exposes a Model Context Protocol  (MCP) server for AI agent integration. This allows AI assistants like Claude to manage your infrastructure through natural language.

Endpoints

MethodPathAuthDescription
GET/mcp/sseService key or BearerSSE event stream
POST/mcp/messageService key or BearerSend a message to the MCP session

MCP routes are outside the /api/v1 prefix.

Authentication

Authenticate using either:

  • x-lnchr-key: <service-key> header
  • Authorization: Bearer <jwt> header

Configuration

Replace <tenant> with your tenant ID and sk-ln-YOUR_SERVICE_KEY_HERE with a service key from your Integrations page.

Claude Code (CLI)

Add to your project’s .mcp.json file:

{ "mcpServers": { "launcher": { "type": "streamable-http", "url": "https://plane.lnchr.cloud/<tenant>/api/v1/mcp", "headers": { "x-lnchr-key": "sk-ln-YOUR_SERVICE_KEY_HERE" } } } }

Claude Desktop

Add to ~/Library/Application Support/Claude/claude_desktop_config.json (macOS):

{ "mcpServers": { "launcher": { "type": "streamable-http", "url": "https://plane.lnchr.cloud/<tenant>/api/v1/mcp", "headers": { "x-lnchr-key": "sk-ln-YOUR_SERVICE_KEY_HERE" } } } }

Cursor

Add to your Cursor MCP configuration file:

  • macOS: ~/.cursor/mcp.json
  • Windows: %APPDATA%\Cursor\mcp.json
  • Linux: ~/.config/cursor/mcp.json
{ "mcpServers": { "launcher": { "type": "streamable-http", "url": "https://plane.lnchr.cloud/<tenant>/api/v1/mcp", "headers": { "x-lnchr-key": "sk-ln-YOUR_SERVICE_KEY_HERE" } } } }

OpenCode

Add to ~/.opencode/mcp.json or your project’s .opencode/mcp.json:

{ "mcpServers": { "launcher": { "type": "streamable-http", "url": "https://plane.lnchr.cloud/<tenant>/api/v1/mcp", "headers": { "x-lnchr-key": "sk-ln-YOUR_SERVICE_KEY_HERE" } } } }

OpenAI Codex

For OpenAI tools with MCP support, use the same configuration format. Check the specific OpenAI product documentation for MCP configuration details.

Available Tools

The MCP server exposes the following tools for AI assistants:

Projects

list_projects get_project create_project

Applications

list_applications get_application create_application deploy_application stop_application start_application restart_application scale_application get_application_logs rollback_application

Databases

list_databases get_database create_database start_database stop_database restart_database get_database_credentials backup_database

Buckets

list_buckets get_bucket create_bucket start_bucket stop_bucket get_bucket_credentials

Servers

list_servers get_server diagnose_server heal_server

Functions

list_functions get_function create_function deploy_function stop_function

Volumes

list_volumes get_volume create_volume backup_volume

Backups

list_backups restore_backup delete_backup

Env Variables

list_env_vars set_env_var delete_env_var

Deployments

list_deployments get_deployment

Example Prompts

Once configured, you can use natural language to interact with Launcher:

  • List all my projects and their applications
  • Deploy the frontend application to production
  • Create a new PostgreSQL database called “analytics-db”
  • Scale the api-server to 3 replicas
  • Show me the logs for the payment-service
  • Get the connection credentials for my Redis database
  • Diagnose and fix issues with my production server
  • Rollback the last deployment for checkout-api
Last updated on